$(function(){
$current_main_job='';
$current_sub_job='';
title2='';
menu_type='';
job_name='';
link='';
page_type='';

$("#main_job_list").live("change",function(data){
//alert($("#main_job_list option:selected").attr("lang"));	

if($("#main_job_list option:selected").attr("lang")==0){
$("#sub_menu_buttons").hide();	
	
}else{
$("#sub_menu_buttons").show();		
}
$(".over_loading").show();
$current_main_job=$("#main_job_list option:selected").attr("id");	
$("#sub_job_list").load("ajax_show_sub_rows_classes.php",({"sub_job":$current_main_job}),function(data){
//alert(data);
$(".over_loading").hide();
});
//alert($current_main_job);

});

$(".sub_job").live("click",function(){
$current_sub_job=$(this).attr("id");
	
});




//اضافة وظيفة رئيسية

$("#add_main_job").click(function(){

menu_type=$(this).attr("lang");	
job_name=prompt("ادخل اسم القائمة");	
if(job_name=='' || job_name=== null){
alert("لابد من ادخال اسم القائمة");
exit();
}



r = confirm("هل الزر المراد اضافته قائمة منسدلة ؟");
if (r == true) {
page_type = "1";
} else {
page_type = "0";
}


//alert(page_type);
if(page_type=='' || page_type===null){
alert("لابد من ادخال النوع");exit();	
}else{
if( page_type!='0' && page_type!='1'){
alert("لابد من ادخال النوع");exit();	
}
}

page_link='';
title2='';
if(page_type=='0'){//فى حالة انها صفحة 
page_link=prompt("ادخل الرابط");	
}else{
title2=prompt("ادخل وصف قصير للقائمة");	
}	


$(".over_loading").show();
$.post("ajax_add_rows_classes.php",
({"job_name":job_name,"sub":0,"type":page_type,"link":page_link,"menu_type":menu_type,"title2":title2}),
function(data){
x="<option class='main_job' title2='"+title2+"' lang='"+page_type+"' id='"+parseInt(data)+"' code='"+parseInt(data)+"' sort='"+parseInt(data)+"'>"+job_name+"</option>";
$("#main_job_list").append(x);	
//alert(data);
$current_main_job='';
$current_sub_job='';
$(".over_loading").hide();
});


});



//اضافة وظيفة فرعية


$("#add_sub_job").live("click",function(){
menu_type=$(this).attr("lang");	
	
if($current_main_job==''){alert("اختار القائمة المراد عرض المهن المتفرعة منها من القائمة الرئيسية ");exit();}		
job_name=prompt("ادخل اسم القائمة الفرعية");	
if(job_name=='' || job_name=== null){alert("لابد من ادخال اسم القائمة الفرعية");
job_name=prompt("ادخل اسم القائمة الفرعية");
}
page_link=prompt("ادخل الرابط");	

code=$("option[id="+$current_main_job+"]").attr("code");
//alert(code);

//alert($current_main_job);
$(".over_loading").show();
$.post("ajax_add_rows_classes.php",{"code":code,"job_name":job_name,"sub":$current_main_job,"type":"0","link":page_link,"menu_type":menu_type},
function(data){
x="<option class='sub_job' id='"+parseInt(data)+"' sort='"+parseInt(data)+"'>"+job_name+"</option>";
//alert(x);
$("#sub_job_list").append(x);
//alert(data);	
$(".over_loading").hide();
});


});


//تعديل وظيفة رئيسية



$("#edit_main_job").live("click",function(){
if($current_main_job=='' ){alert("اختار القائمة المراد تعديلها  ");exit();}	
job_name=prompt("ادخل اسم القائمة",$(".main_job[id='"+$current_main_job+"']").text());	
if(job_name=='' || job_name===null ){alert("لابد من ادخال اسم القائمة");exit();}

if($(".main_job[id='"+$current_main_job+"']").attr("lang")=='1'){
title2=prompt("ادخل وصف مختصر",$(".main_job[id='"+$current_main_job+"']").attr('title2'));		
link='';
}else{
title2=prompt("ادخل وصف مختصر",$(".main_job[id='"+$current_main_job+"']").attr('title2'));		
link=prompt("ادخل الرابط");		
}



$(".over_loading").show();

//alert($current_main_job);
//alert(title2);
//alert(job_name);

$.post("ajax_edit_rows_classes.php",
{"job_name":job_name,"id":$current_main_job,"title2":title2,"link":link},
function(data){

$(".main_job[id='"+$current_main_job+"']").text(job_name);
$(".over_loading").hide();
//alert(data);
});


});

//تعديل وظيفة فرعية



$("#edit_sub_job").live("click",function(){
if($current_sub_job==''){alert("اختار القائمة الفرعية المراد تعديلها  ");exit();}	
job_name=prompt("ادخل اسم القائمة الفرعية",$(".sub_job[id='"+$current_sub_job+"']").text());	
if(job_name=='' || job_name===null){alert("لابد من ادخال اسم القائمة");exit();}
link=prompt("ادخل الرابط");	
title2="";


$(".over_loading").show();

//alert($current_sub_job);

$.post("ajax_edit_rows_classes.php",
{"job_name":job_name,"id":$current_sub_job,"title2":title2,"link":link},
function(data){
;
$(".sub_job[id='"+$current_sub_job+"']").text(job_name);
$(".over_loading").hide();
//alert(data);
});


});



//الغاء قائمة رئيسية

$("#delete_main_job").live("click",function(){
if($current_main_job==''){alert("اختار القائمة المراد الغائها");exit();}
$(".over_loading").show();
$.post("ajax_delete_rows_classes.php",({"id":$current_main_job,"type":"main"}),
function(data){
$(".main_job[id='"+$current_main_job+"']").hide();
$current_main_job='';
$current_sub_job='';
//alert("تم الالغاء")	;
//alert(data);
$(".over_loading").hide();
});

});


//الغاء قائمة رئيسية



$("#delete_sub_job").click(function(){
if($current_main_job==''){alert("اختار القائمة الفرعية المراد الغائها  ");exit();}
$(".over_loading").show();
$.post("ajax_delete_rows_classes.php",({"id":$current_sub_job,"type":"sub"}),
function(){
$(".sub_job[id='"+$current_sub_job+"']").hide();
//alert("تم الالغاء")	;

$current_sub_job='';
$(".over_loading").hide();
});

});


		
	
});	